GraphDatabaseSetting.NumberSetting (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.factory
Class GraphDatabaseSetting.NumberSetting<T extends Number>

    java.lang.Object
      org.neo4j.graphdb.factory.GraphDatabaseSetting<T>
          org.neo4j.graphdb.factory.GraphDatabaseSetting.NumberSetting<T>

All Implemented Interfaces:
  Setting

Direct Known Subclasses:
  GraphDatabaseSetting.DoubleSetting, GraphDatabaseSetting.FloatSetting, GraphDatabaseSetting.IntegerSetting, GraphDatabaseSetting.LongSetting

Enclosing class:
  GraphDatabaseSetting<T>

Deprecated.

    @Deprecated
    public abstract static class GraphDatabaseSetting.NumberSetting<T extends Number>

extends GraphDatabaseSetting<T>

This is deprecated, because it is going to be moved out of the public API. Please use `Setting` instead.

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`GraphDatabaseSetting.AbstractPathSetting, GraphDatabaseSetting.BaseOptionsSetting<ST>, GraphDatabaseSetting.BooleanSetting, GraphDatabaseSetting.DefaultValue, GraphDatabaseSetting.DirectorySetting, GraphDatabaseSetting.DoubleSetting, GraphDatabaseSetting.EnumerableSetting<ET extends Enum<ET>>, GraphDatabaseSetting.FileSetting, GraphDatabaseSetting.FloatSetting, GraphDatabaseSetting.IntegerRangeNumberOfBytesSetting, GraphDatabaseSetting.IntegerSetting, GraphDatabaseSetting.ListSetting<T>, GraphDatabaseSetting.LongSetting, GraphDatabaseSetting.NumberOfBytesSetting, GraphDatabaseSetting.NumberSetting<T extends Number>, GraphDatabaseSetting.OptionsSetting, GraphDatabaseSetting.PortSetting, GraphDatabaseSetting.StringSetting, GraphDatabaseSetting.TimeSpanSetting, GraphDatabaseSetting.URISetting`

Field Summary
`protected T` | `max` Deprecated.
`protected T` | `min` Deprecated.

Fields inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`ANY, DURATION, FALSE, SIZE, TRUE`

Constructor Summary
`protected` | `GraphDatabaseSetting.NumberSetting(String name, String validationMessage)` Deprecated.
`protected` | `GraphDatabaseSetting.NumberSetting(String name, String validationMessage, T min, T max)` Deprecated.

Method Summary
`T` | `getMax()` Deprecated.
`T` | `getMin()` Deprecated.
`protected void` | `rangeCheck(Comparable value)` Deprecated.
`protected void` | `rangeCheck(Locale locale, Comparable value)` Deprecated.

Methods inherited from class org.neo4j.graphdb.factory.GraphDatabaseSetting
`getMessage, illegalValue, illegalValue, illegalValue, name, osIsMacOS, osIsWindows, validate, validate, validationMessage, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    protected T extends Number min

  Deprecated.

### max

    protected T extends Number max

  Deprecated.

Constructor Detail

### GraphDatabaseSetting.NumberSetting

    protected GraphDatabaseSetting.NumberSetting(String name,
                                                 String validationMessage)

  Deprecated.

### GraphDatabaseSetting.NumberSetting

    protected GraphDatabaseSetting.NumberSetting(String name,
                                                 String validationMessage,
                                                 T min,
                                                 T max)

  Deprecated.

Method Detail

### rangeCheck

    protected void rangeCheck(Locale locale,
                              Comparable value)

  Deprecated.

### rangeCheck

    @Deprecated
    protected void rangeCheck(Comparable value)

  Deprecated.

### getMin

    public T getMin()

  Deprecated.

### getMax

    public T getMax()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.